Apple OSX Security Update 2007-006

Apple has released a security-only update for the sixth straight month this year. It’s the appropriately named Security Update 2007-006.This update is needed for 10.4.9 along with the just released 10.4.10. It’s also needed for 10.3.9.

Two security vulnerabilities are addressed. One is in Webcore and can allow cross-site scripting attacks.

The second patched vulnerability was in Webkit and could allow remote code execution.

I applied the update to an Intel iMac and an Intel Mac Mini without a problem. The PPC Mac Mini isn’t hooked up at this time so it hasn’t been patched yet.